Subject: bug#59609: 29.0.50; [PATCH] Better advertise (Non-)GNU ELPA in emacs manual

From: Richard Stallman <[email-masked]>
Date: Wed, 14 Dec 2022 17:20:46 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

I was asked this very specific question as part of a discussion
of the difference between NonGNU ELPA and GNU ELPA:

  > >   > I see no risk that the packages will suddenly go away.  Under what
  > >   > circumstances would that happen?
  > >

Here is how I responded to that one question:

  > > Here are two ways I can envision.
  > >
  > > If somehow the developers are no longer working on it in a way
  > > we can use.
  > >
  > > If it rots and needs substantial change and the developers
  > > are not interested in doing that.

You replied to that response, taking that question out of context:

  > I'm positive that these things can and will happen, but that's true also
  > for GNU ELPA and parts of Emacs itself (see lisp/obsolete/*.el).

That is true, but because it out of context, it appears to have implications
which it does not have.

When packages in the Emacs core go unmaintained, but they are still useful,
we roll up our sleeves and maintain them.  And we will try to do that
for GNU ELPA too, because they too are part of Emacs.

The point is that NonGNU ELPA packages have lower priority, so if they
become unmaintained, we might rather delete them than fix them.

Obsolete packages are a different thing.  We mark a package obsolete
when we think it is _better_ not to maintain it much.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)